#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_SignInOnNationalDayData
{
	//天数
	int mDay;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_SignInOnNationalDay
{
public:
private:
	static std::auto_ptr<M_SignInOnNationalDay> msSingleton;
public:
	int GetCount();
	const M_SignInOnNationalDayData* GetData(int Day);
	boost::unordered_map<int, M_SignInOnNationalDayData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_SignInOnNationalDay* GetSingleton();
private:
	boost::unordered_map<int, M_SignInOnNationalDayData> mMapData;
};
